Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229339 - amtapetype exits with free(): invalid pointer
Summary: amtapetype exits with free(): invalid pointer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 13:55 UTC by Burn Alting
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 09:26:45 UTC


Attachments (Terms of Use)

Description Burn Alting 2007-02-20 13:55:03 UTC
Description of problem:
amtapetype, on exit, attempts to free memory it shouldn't

Version-Release number of selected component (if applicable):
amanda-2.5.0p2

How reproducible:
Always

Steps to Reproduce:
1.amtapetype -o -f /dev/st0 -e 74G -b 128 -t CX450-TP
2.
3.
  
Actual results:


Expected results:


Additional info:
Fix is to mod tape-src/tapetype.c and in main(), near the end, rather than calls
to free(randombytes), call free(prandombytes) - randombytes can be different to
the allocated memory due to page alignment - prandombytes is the address of what
was allocated. If you upgrade to a later version of amanda (eg amanda-2.5.1p3)
amtapetype doesn't have this problem as it doesn't free memory before exiting.

Comment 1 Lukas Vrabel 2007-04-04 09:26:45 UTC
Actualy the latest version in devel is amanda-2.5.1p3, where amtatype doesn't 
have this problem (as you wrote), so im closing this as CLOSED:RAWHIDE. FC6 is 
maintained for critical bugs and security issues only.


Note You need to log in before you can comment on or make changes to this bug.